SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# SDH::cHexByteString Class Reference

dummy class for (debug) stream output of bytes as list of hex values More...

`#include <dbg.h>`

List of all members.

## Public Member Functions
| cHexByteString (char const *_bytes, int _len)
| ctor: create a cHexByteString with _len bytes at _bytes
## Friends
VCC_EXPORT std::ostream & | operator<< (std::ostream &stream, cHexByteString const &s)
| output the bytes in s to stream as a list of space separated hex bytes (without 0x prefix)

## Detailed Description

dummy class for (debug) stream output of bytes as list of hex values

## Constructor & Destructor Documentation

SDH::cHexByteString::cHexByteString | ( | char const * | _bytes,
|  | int | _len
| ) |  | `[inline]`

ctor: create a cHexByteString with _len bytes at _bytes

## Friends And Related Function Documentation

VCC_EXPORT std::ostream& operator<< | ( | std::ostream & | stream,
|  | cHexByteString const & | s
| ) |  | `[friend]`

output the bytes in s to stream as a list of space separated hex bytes (without 0x prefix)

The documentation for this class was generated from the following file:

- sdh/dbg.h